# Type alias Implementation

Implementation: {
dataRoot: {
domain: ((username: string) => string);
lookup: ((username: string) => Promise<CID | null>);
update: ((cid: CID, proof: Ucan) => Promise<{
success: boolean;
}>);
};
didRoot: {
lookup: ((username: string) => Promise<string>);
};
dns: {
lookupDnsLink: ((domain: string) => Promise<string | null>);
lookupTxtRecord: ((domain: string) => Promise<string | null>);
};
repositories: {
cidLog: Repo;
ucans: Repo;
};
}

#### Type declaration

- ##### dataRoot: {
  domain: ((username: string) => string);
  lookup: ((username: string) => Promise<CID | null>);
  update: ((cid: CID, proof: Ucan) => Promise<{
  success: boolean;
  }>);
  }

  - ##### domain: ((username: string) => string)

    - - (username: string): string

      - #### Parameters

        - ##### username: string

        #### Returns string

  - ##### lookup: ((username: string) => Promise<CID | null>)

    - - (username: string): Promise<CID | null>

      - #### Parameters

        - ##### username: string

        #### Returns Promise<CID | null>

  - ##### update: ((cid: CID, proof: Ucan) => Promise<{
    success: boolean;
    }>)

    - - (cid: CID, proof: Ucan): Promise<{
        success: boolean;
        }>

      - #### Parameters

        - ##### cid: CID

        - ##### proof: Ucan

        #### Returns Promise<{
        success: boolean;
        }>

- ##### didRoot: {
  lookup: ((username: string) => Promise<string>);
  }

  - ##### lookup: ((username: string) => Promise<string>)

    - - (username: string): Promise<string>

      - #### Parameters

        - ##### username: string

        #### Returns Promise<string>

- ##### dns: {
  lookupDnsLink: ((domain: string) => Promise<string | null>);
  lookupTxtRecord: ((domain: string) => Promise<string | null>);
  }

  - ##### lookupDnsLink: ((domain: string) => Promise<string | null>)

    - - (domain: string): Promise<string | null>

      - #### Parameters

        - ##### domain: string

        #### Returns Promise<string | null>

  - ##### lookupTxtRecord: ((domain: string) => Promise<string | null>)

    - - (domain: string): Promise<string | null>

      - #### Parameters

        - ##### domain: string

        #### Returns Promise<string | null>

- ##### repositories: {
  cidLog: Repo;
  ucans: Repo;
  }

  - ##### cidLog: Repo

  - ##### ucans: Repo

- Defined in components/reference/implementation.ts:9

Generated using TypeDoc